r4117 - in vdr/vdr-plugin-xineliboutput/trunk/debian: . patches

Tobias Grimm tiber-guest at alioth.debian.org
Mon Jan 22 20:40:09 CET 2007


Author: tiber-guest
Date: 2007-01-22 20:40:08 +0100 (Mon, 22 Jan 2007)
New Revision: 4117

Added:
   vdr/vdr-plugin-xineliboutput/trunk/debian/patches/11_posix-fixes.dpatch
Modified:
   vdr/vdr-plugin-xineliboutput/trunk/debian/changelog
   vdr/vdr-plugin-xineliboutput/trunk/debian/patches/00list
   vdr/vdr-plugin-xineliboutput/trunk/debian/patches/10_nosignal.dpatch
Log:
* Extracted POSIX fixes to 11_posix-fixes.dpatch
* Non-maintainer upload.
* POSIX fixes.
* awk replaced by cut.

Modified: vdr/vdr-plugin-xineliboutput/trunk/debian/changelog
===================================================================
--- vdr/vdr-plugin-xineliboutput/trunk/debian/changelog	2007-01-22 00:41:50 UTC (rev 4116)
+++ vdr/vdr-plugin-xineliboutput/trunk/debian/changelog	2007-01-22 19:40:08 UTC (rev 4117)
@@ -1,3 +1,17 @@
+vdr-plugin-xineliboutput (1.0.0~pre7-2) experimental; urgency=low
+
+  * Extracted POSIX fixes to 11_posix-fixes.dpatch
+
+ -- Tobias Grimm <tg at e-tobi.net>  Mon, 22 Jan 2007 20:35:26 +0100
+
+vdr-plugin-xineliboutput (1.0.0~pre7-1+c0.kanotix.1) feisty; urgency=low
+
+  * Non-maintainer upload.
+  * POSIX fixes.
+  * awk replaced by cut.
+
+ -- Joerg Schirottke <master at kanotix.com>  Mon, 22 Jan 2007 15:31:47 +0100
+
 vdr-plugin-xineliboutput (1.0.0~pre7-1) experimental; urgency=low
 
   [ Thomas Günther ]

Modified: vdr/vdr-plugin-xineliboutput/trunk/debian/patches/00list
===================================================================
--- vdr/vdr-plugin-xineliboutput/trunk/debian/patches/00list	2007-01-22 00:41:50 UTC (rev 4116)
+++ vdr/vdr-plugin-xineliboutput/trunk/debian/patches/00list	2007-01-22 19:40:08 UTC (rev 4117)
@@ -1 +1,2 @@
 10_nosignal
+11_posix-fixes

Modified: vdr/vdr-plugin-xineliboutput/trunk/debian/patches/10_nosignal.dpatch
===================================================================
--- vdr/vdr-plugin-xineliboutput/trunk/debian/patches/10_nosignal.dpatch	2007-01-22 00:41:50 UTC (rev 4116)
+++ vdr/vdr-plugin-xineliboutput/trunk/debian/patches/10_nosignal.dpatch	2007-01-22 19:40:08 UTC (rev 4117)
@@ -17,7 +17,7 @@
         uudecode $0
         ;;
     -unpatch) 
-        decodedFile=`grep "begin\ 644" $0 | awk '{ print $3 }'`
+        decodedFile=`grep "begin\ 644" $0 | cut -d' ' -f 3`
         rm -f $decodedFile
         ;;
      *)

Added: vdr/vdr-plugin-xineliboutput/trunk/debian/patches/11_posix-fixes.dpatch
===================================================================
--- vdr/vdr-plugin-xineliboutput/trunk/debian/patches/11_posix-fixes.dpatch	2007-01-22 00:41:50 UTC (rev 4116)
+++ vdr/vdr-plugin-xineliboutput/trunk/debian/patches/11_posix-fixes.dpatch	2007-01-22 19:40:08 UTC (rev 4117)
@@ -0,0 +1,41 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+
+## 11_posix-fixes by Joerg Schirottke <master at kanotix.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Makes the Makefile POSIX-compatible espeacially for Ubuntu
+
+ at DPATCH@
+--- vdr-plugin-xineliboutput-1.0.0~pre7.orig/Makefile
++++ vdr-plugin-xineliboutput-1.0.0~pre7/Makefile
+@@ -20,10 +20,10 @@
+ 
+ XINELIBOUTPUT_FB  = 0
+ XINELIBOUTPUT_X11 = 0
+-XINELIBOUTPUT_XINEPLUGIN = $(shell (xine-config --cflags >& /dev/null && echo "1") || echo "0")
++XINELIBOUTPUT_XINEPLUGIN = $(shell (xine-config --cflags >/dev/null 2>&1 && echo "1") || echo "0")
+ ifeq ($(XINELIBOUTPUT_XINEPLUGIN), 1)
+     XINELIBOUTPUT_FB  = $(XINELIBOUTPUT_XINEPLUGIN)
+-    XINELIBOUTPUT_X11 = $(shell (((echo "\#include <X11/Xlib.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >&/dev/null) && echo "1") || echo "0" ; rm -f testx.* >/dev/null)
++    XINELIBOUTPUT_X11 = $(shell (((echo "\#include <X11/Xlib.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >/dev/null 2>&1) && echo "1") || echo "0" ; rm -f testx.* >/dev/null)
+ 
+     ifeq ($(XINELIBOUTPUT_X11), 1)
+         #$(warning Detected X11)
+@@ -56,7 +56,7 @@
+ ### The version number of this plugin (taken from the main source file):
+ ###
+ 
+-VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
++VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c|cut -d'"' -f2')
+ 
+ 
+ ###
+@@ -189,7 +189,7 @@
+ 	     -DXINELIBOUTPUT_VERSION='"$(VERSION)"'
+ 
+ # check for yaegp patch
+-DEFINES += $(shell grep 'vidWin' \$(VDRDIR)/osd.h >& /dev/null && echo "-DYAEGP_PATCH")
++DEFINES += $(shell grep -q 'vidWin' \$(VDRDIR)/osd.h && echo "-DYAEGP_PATCH")
+ 
+ ifeq ($(XINELIBOUTPUT_XINEPLUGIN), 1)
+     CFLAGS += $(shell xine-config --cflags) 




More information about the pkg-vdr-dvb-changes mailing list